# ChangeLog for dev-lang/python
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.193 2006/04/14 12:54:54 kloeri Exp $

  14 Apr 2006; Bryan Østergaard <kloeri@gentoo.org
  +files/python-2.4.2-gentoo_obsd.patch,
  +files/python-2.4.3-gentoo_obsd.patch, python-2.4.2-r1.ebuild,
  python-2.4.3.ebuild:
  Add gentoo/obsd patch, bug 117261.

*python-2.4.3 (13 Apr 2006)

  13 Apr 2006; Bryan Østergaard <kloeri@gentoo.org
  +files/python-2.4.3-db4.patch, +python-2.4.3.ebuild:
  Version bump to 2.4.3.

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> python-2.4.2-r1.ebuild:
  Add ~x86-fbsd keyword.

  16 Feb 2006; Marien Zwart <marienz@gentoo.org>
  -files/python-2.2.3-db4.patch,
  -files/python-2.2.3-disable_modules_and_ssl.patch,
  -files/python-2.2.3-fPIC.patch,
  -files/python-2.2.3-gentoo_py_dontcompile.patch,
  -files/python-2.2.3-xmlrpc.patch,
  -files/python-2.3.2-disable_modules_and_ssl.patch,
  -files/python-2.3.4-lib64.patch, -files/python-2.3.5-st_flags.patch,
  -files/python-2.3-add_portage_search_path.patch,
  -files/python-2.3-add_portage_search_path_take_2.patch,
  -files/python-2.3-db4.2.patch,
  -files/python-2.3-gentoo_py_dontcompile.patch,
  -files/python-2.3-mimetypes_apache.patch, -files/python-2.3-pcre.patch,
  -files/python-2.3-readline.patch, -files/python-2.4.1-bindir-libdir.patch,
  -files/python-2.4.1-crosscompile.patch, -files/python-2.4.1-db4.patch,
  -files/python-2.4.1-libdir.patch, -files/python-2.4.1-st_flags.patch,
  -files/python-2.4.2-mmap+fd.patch, -files/python-2.4.2-no-threads.patch,
  -files/python-2.4.2-readline.patch,
  -files/python-2.4-add_portage_search_path.patch,
  -files/python-2.4-disable_modules_and_ssl.patch,
  -files/python-2.4-gentoo_py_dontcompile.patch,
  -files/python-2.4-mimetypes_apache.patch, python-2.2.3-r6.ebuild,
  python-2.3.5-r2.ebuild, python-2.4.2.ebuild, python-2.4.2-r1.ebuild:
  Move patches from files dir to separate tarballs.

  16 Feb 2006; Marien Zwart <marienz@gentoo.org> -files/python-config-2.2.1,
  -files/python-2.2.1-r5-gentoo.diff, -files/python-config-2.2.2,
  -files/python-2.2.2-tk-8.4.x.patch, -files/python-2.3-xmlrpc.patch,
  -files/python-2.4-db4.2.patch, -files/python-2.4-lib64.patch,
  -files/python-2.4.1-readline.patch, -files/python-2.4-libdir.patch,
  -files/python-2.4-readline.patch, -files/python-2.4-xmlrpc.patch,
  -python-2.3.4-r1.ebuild, -python-2.3.5.ebuild, -python-2.3.5-r1.ebuild,
  -python-2.4-r3.ebuild, -python-2.4.1.ebuild, -python-2.4.1-r1.ebuild:
  Remove old versions.

  08 Feb 2006; Marien Zwart <marienz@gentoo.org> python-2.3.5-r2.ebuild,
  python-2.4.2.ebuild, python-2.4.2-r1.ebuild:
  Disable confcache (breaks .so loading).

  02 Feb 2006; Bryan Østergaard <kloeri@gentoo.org
  +files/python-2.4.2-mmap+fd.patch:
  Add missing python-2.4.2-mmap+fd.patch.

*python-2.4.2-r1 (02 Feb 2006)

  02 Feb 2006; Bryan Østergaard <kloeri@gentoo.org
  +files/depreorder-topsort.py, +files/python-updater-r1,
  +python-2.4.2-r1.ebuild:
  No more libstdc++.so linking, fix python-updater ordering (bug #95538) +
  mmap (bug #113439) and fd leak (bug #118575) fixes.

  13 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  +files/python-2.4.2-no-threads.patch, python-2.4.2.ebuild:
  Fix from upstream for building without threads.

  24 Nov 2005; Markus Rothe <corsair@gentoo.org> python-2.4.2.ebuild:
  Stable on ppc64

  17 Nov 2005; Guy Martin <gmsoft@gentoo.org> python-2.4-r3.ebuild,
  python-2.4.1.ebuild, python-2.4.1-r1.ebuild, python-2.4.2.ebuild:
  Readded critical fix for HPPA.

  21 Oct 2005; Aaron Walker <ka0ttic@gentoo.org> python-2.4.2.ebuild:
  Stable on mips.

  15 Oct 2005; MATSUU Takuto <matsuu@gentoo.org> python-2.4.2.ebuild:
  Stable on sh.

  15 Oct 2005; Michael Hanselmann <hansmi@gentoo.org> python-2.4.2.ebuild:
  Stable on hppa, ppc.

  14 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org> python-2.4.2.ebuild:
  Stable on sparc

  14 Oct 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.4.2.ebuild:
  Stable on alpha.

  13 Oct 2005; Luis Medinas <metalgod@gentoo.org> python-2.4.2.ebuild:
  Marked Stable on amd64.

  13 Oct 2005; Aron Griffis <agriffis@gentoo.org> python-2.4.2.ebuild:
  Mark 2.4.2 stable on ia64

  13 Oct 2005; Rob Cakebread <pythonhead@gentoo.org> python-2.4.2.ebuild:
  Marked x86 stable per Mr_Bones_ - memory leak in posix.access()

  10 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  python-2.4.1-r1.ebuild:
  Stable on sparc

  10 Oct 2005; Luis Medinas <metalgod@gentoo.org> python-2.4.1-r1.ebuild:
  Marked Stable on amd64.

  10 Oct 2005; Markus Rothe <corsair@gentoo.org> python-2.4.1-r1.ebuild:
  Stable on ppc64

  09 Oct 2005; Michael Hanselmann <hansmi@gentoo.org>
  python-2.4.1-r1.ebuild:
  Stable on hppa, ppc.

  08 Oct 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.4.1-r1.ebuild:
  Stable python-2.4 on alpha, ia64 and x86.

  01 Oct 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.3.5-r2.ebuild,
  python-2.4.1-r1.ebuild, python-2.4.2.ebuild:
  Disable additional test, fixing bug 82469, 94859, 96366 and 96488.

*python-2.4.2 (28 Sep 2005)

  28 Sep 2005; Bryan Østergaard <kloeri@gentoo.org>
  +files/python-2.4.2-readline.patch, +python-2.4.2.ebuild:
  Bump version to 2.4.2.

  14 Sep 2005; Aaron Walker <ka0ttic@gentoo.org> python-2.3.5-r2.ebuild:
  2.3.5-r2 stable on mips for security bug #104009.

  11 Sep 2005; Simon Stelling <blubb@gentoo.org> python-2.3.5-r2.ebuild:
  stable on amd64 wrt bug 104009

  10 Sep 2005; Michael Hanselmann <hansmi@gentoo.org>
  python-2.3.5-r2.ebuild:
  Stable on ppc and hppa.

  10 Sep 2005; MATSUU Takuto <matsuu@gentoo.org> python-2.3.5-r2.ebuild:
  Stable on sh.

  09 Sep 2005; Josh Grebe <squash@gentoo.org> python-2.3.5-r2.ebuild:
  Sparc stable bump for bug #104009

  09 Sep 2005; Markus Rothe <corsair@gentoo.org> python-2.3.5-r2.ebuild:
  Stable on ppc64

  08 Sep 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.3.5-r2.ebuild:
  Stable on x86, alpha and ia64 - bug 104009.

*python-2.3.5-r2 (08 Sep 2005)

  08 Sep 2005; Bryan Østergaard <kloeri@gentoo.org>
  +files/python-2.3-pcre.patch, +python-2.3.5-r2.ebuild:
  Version bump to fix pcre security vulnerability, bug 104009.

  16 Aug 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.3.4-r1.ebuild,
  python-2.3.5.ebuild:
  Add fix for bug 88777 to arch versions.

  15 Aug 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.3.5-r1.ebuild,
  python-2.4.1-r1.ebuild:
  Fix bug 88777 in ~arch versions.

  11 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +files/python-2.4.1-bindir-libdir.patch,
  +files/python-2.4.1-crosscompile.patch, python-2.4.1-r1.ebuild:
  Add support for cross-compiling.  Grabbed patches from uClibc/OpenEmbedded.

  19 Jul 2005; Bryan Østergaard <kloeri@gentoo.org>
  +files/python-2.4.1-st_flags.patch, python-2.4.1-r1.ebuild:
  Update st_flags patch, bug 94637.

  03 Jul 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.3.5.ebuild:
  Stable on alpha.

  27 Jun 2005; Markus Rothe <corsair@gentoo.org> python-2.3.5.ebuild:
  Stable on ppc64

  18 Jun 2005; Markus Rothe <corsair@gentoo.org> python-2.4.1-r1.ebuild:
  added ~ppc64

*python-2.4.1-r1 (16 Jun 2005)
*python-2.3.5-r1 (16 Jun 2005)

  16 Jun 2005; Bryan Østergaard <kloeri@gentoo.org>
  +files/python-2.3.5-st_flags.patch, +python-2.3.5-r1.ebuild,
  +python-2.4.1-r1.ebuild:
  Add st_flags patch, requested in bug 94637.

  09 Jun 2005; Herbie Hopkins <herbs@gentoo.org>
  files/python-2.4.1-libdir.patch, python-2.4.1.ebuild:
  Fix libdir patch to work with amd64s no-symlink profile, removed
  append-flags -fPIC as this seems to no longer be necessary.

  29 May 2005; <solar@gentoo.org> python-2.3.4-r1.ebuild, python-2.3.5.ebuild,
  python-2.4-r3.ebuild, python-2.4.1.ebuild:
  echangelog - update package to use libc expanded variable elibc_uclibc vs
  uclibc so USE=-* works

  29 May 2005; Alastair Tse <liquidx@gentoo.org>
  files/python-2.4.1-libdir.patch:
  remove zlib from libpython dependency (#90545)

  28 May 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.1.3-r1.ebuild,
  python-2.2.3-r6.ebuild, python-2.3.4-r1.ebuild, python-2.3.5.ebuild,
  python-2.4-r3.ebuild, python-2.4.1.ebuild:
  Add missing inherit versionator.

  21 May 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.1.3-r1.ebuild:
  Fix PROVIDE according to bug 93028.

  18 May 2005; Markus Rothe <corsair@gentoo.org> python-2.3.5.ebuild:
  Added ~ppc64 to KEYWORDS

  11 May 2005; Marcus D. Hanwell <cryos@gentoo.org> python-2.3.5.ebuild:
  Stable on amd64.

  07 May 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.3.5.ebuild,
  python-2.4.1.ebuild:
  Fix FEATURES=test using slightly modified patch by Rob Cakebread, bug 67970.

  01 May 2005; Stephen Bennett <spb@gentoo.org> python-2.3.4-r1.ebuild,
  python-2.3.5.ebuild, python-2.4.1.ebuild:
  Added compile fix for when $LIBC is set.

  30 Apr 2005; Michael Hanselmann <hansmi@gentoo.org> python-2.3.5.ebuild:
  Stable on ppc.

  28 Apr 2005; Gustavo Zacarias <gustavoz@gentoo.org> python-2.3.5.ebuild:
  Stable on sparc

*python-2.4.1 (27 Apr 2005)

  27 Apr 2005; Alastair Tse <liquidx@gentoo.org>
  +files/python-2.4.1-db4.patch, +files/python-2.4.1-libdir.patch,
  +files/python-2.4.1-readline.patch, files/python-2.4-readline.patch,
  -python-2.3.3-r2.ebuild, python-2.3.5.ebuild, -python-2.4-r1.ebuild,
  -python-2.4-r2.ebuild, +python-2.4.1.ebuild:
  version bump for 2.4.1, clean up readling, db4 and libdir patch for 2.4.1.

  20 Apr 2005; Alastair Tse <liquidx@gentoo.org> python-2.3.5.ebuild,
  python-2.4-r3.ebuild:
  reverting changes to deps and adding note about why they are arranged in
  that way (to remind myself never to touch them again :)

  20 Apr 2005; Alastair Tse <liquidx@gentoo.org>
  +files/python-2.3-readline.patch, +files/python-2.4-readline.patch,
  python-2.3.5.ebuild, python-2.4-r3.ebuild:
  fixing readline support to not require termcap (#79013). fixed DEPEND
  and RDEPEND order (python-fchksum isn't a DEPEND only)

  08 Apr 2005; Markus Rothe <corsair@gentoo.org> python-2.3.4-r1.ebuild:
  Stable on ppc64

*python-2.4-r3 (19 Mar 2005)

  19 Mar 2005; Rob Cakebread <pythonhead@gentoo.org>
  files/python-2.4-libdir.patch, +python-2.4-r3.ebuild:
  Removed multiple dirs in sys path. bug# 83109

  15 Mar 2005; Alastair Tse <liquidx@gentoo.org> python-2.3.5.ebuild:
  more multilib fixes (#76791)

  01 Mar 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.3.5.ebuild,
  python-2.4-r1.ebuild:
  Fix conditional c++ support for remaining versions.

  27 Feb 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.3.3-r2.ebuild,
  python-2.3.4-r1.ebuild, python-2.4-r2.ebuild:
  Disable c++ conditionally.

*python-2.3.5 (17 Feb 2005)

  17 Feb 2005; Rob Cakebread <pythonhead@gentoo.org> +python-2.3.5.ebuild:
  Version bump.

  09 Feb 2005; Luca Barbato <lu_zero@gentoo.org> python-2.3.4-r1.ebuild:
  Marked ppc

*python-2.4-r2 (07 Feb 2005)

  07 Feb 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +files/python-2.4-libdir.patch, files/python-updater, +python-2.4-r2.ebuild:
  Multilib releated cleanup.

*python-2.2.3-r6 (06 Feb 2005)

  06 Feb 2005; Rob Cakebread <pythonhead@gentoo.org>
  +files/python-2.2.3-xmlrpc.patch, +files/python-2.3-xmlrpc.patch,
  +files/python-2.4-xmlrpc.patch, -python-2.2.3-r5.ebuild,
  +python-2.2.3-r6.ebuild, -python-2.3.3-r1.ebuild, +python-2.3.3-r2.ebuild,
  -python-2.3.3.ebuild, +python-2.3.4-r1.ebuild, -python-2.3.4.ebuild,
  +python-2.4-r1.ebuild, -python-2.4.ebuild:
  Patches and version bumps for security bug# 80592 Python bug# PSF-2005-001 xmlrpc
  vulnerability. Removed obsolete versions.

  06 Jan 2005; Bryan Østergaard <kloeri@gentoo.org> python-2.4.ebuild:
  Fix broken Manifest.

  05 Jan 2005; Rob Cakebread <pythonhead@gentoo.org> python-2.4.ebuild:
  Only apply lib64 patch on CONF_LIBDIR == lib64

  04 Jan 2005; Rob Cakebread <pythonhead@gentoo.org>
  +files/python-2.4-lib64.patch, python-2.4.ebuild:
  Added lib64 patch

*python-2.4 (04 Jan 2005)

  04 Jan 2005; Rob Cakebread <pythonhead@gentoo.org>
  +files/python-2.4-add_portage_search_path.patch,
  +files/python-2.4-db4.2.patch,
  +files/python-2.4-disable_modules_and_ssl.patch,
  +files/python-2.4-gentoo_py_dontcompile.patch,
  +files/python-2.4-mimetypes_apache.patch, files/python-updater,
  +python-2.4.ebuild:
  Version bump. bug# 68775

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  06 Nov 2004; Joshua Kinard <kumba@gentoo.org> python-2.3.4.ebuild:
  Marked stable on mips.

  29 Oct 2004; Alastair Tse <liquidx@gentoo.org> files/python-updater:
  improvements with tmp log creation with python-updater (#68843)

  19 Oct 2004; Guy Martin <gmsoft@gentoo.org> python-2.3.4.ebuild:
  Stable on hppa.

  19 Oct 2004; Dylan Carlson <absinthe@gentoo.org> python-2.3.4.ebuild:
  Stable on amd64.

  19 Oct 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.4.ebuild:
  fix problem with tk-inter and USE flags handing (grumble)

  18 Oct 2004; Mike Frysinger <vapier@gentoo.org> python-2.3.3-r1.ebuild,
  python-2.3.4.ebuild:
  Forward part from 2.3.3-r1 the removal of directories in /usr/lib/python
  based upon USE flags.

  17 Oct 2004; Jason Wever <weeve@gentoo.org> python-2.3.4.ebuild:
  Stable on sparc.

  24 Sep 2004; Alastair Tse <liquidx@gentoo.org> -python-2.2.2.ebuild,
  python-2.3.3-r1.ebuild, python-2.3.3.ebuild, python-2.3.4.ebuild,
  -python-2.3.4_rc1.ebuild:
  adding workaround for -fstack-protector-all (#50309)

  06 Sep 2004; Ciaran McCreesh <ciaranm@gentoo.org> python-2.3.3-r1.ebuild,
  python-2.3.3.ebuild, python-2.3.4.ebuild, python-2.3.4_rc1.ebuild:
  Switch to use epause and ebeep, bug #62950

  31 Aug 2004; Guy Martin <gmsoft@gentoo.org> python-2.3.4.ebuild:
  Removed useless -fPIC for hppa.

  18 Aug 2004; Aron Griffis <agriffis@gentoo.org> python-2.3.4.ebuild:
  stable on alpha

  14 Aug 2004; Travis Tilley <lv@gentoo.org> +files/python-2.3.4-lib64.patch,
  python-2.3.3-r1.ebuild, python-2.3.4.ebuild:
  added logic for installing to /usr/lib64, triggered by the CONF_LIBDIR
  variable. proper CONF_LIBDIR support will require portage 2.0.51_pre18, soon
  to be released.

  20 Jul 2004; Lars Weiler <pylon@gentoo.org> python-2.1.3-r1.ebuild:
  Made python-2.1 stable on ppc as there are still some ebuilds which require
  this version.

  03 Jul 2004; Bryan Østergaard <kloeri@gentoo.org> python-2.3.3-r1.ebuild:
  Stable on alpha.

  03 Jul 2004; Grant Goodyear <g2boojum@gentoo.org> python-2.3.4.ebuild:
  x86-obsd minor fix

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  python-2.1.3-r1.ebuild, python-2.2.2.ebuild, python-2.2.3-r5.ebuild,
  python-2.3.3-r1.ebuild, python-2.3.3.ebuild, python-2.3.4.ebuild,
  python-2.3.4_rc1.ebuild:
  virtual/glibc -> virtual/libc

  25 Jun 2004; Aron Griffis <agriffis@gentoo.org> python-2.2.2.ebuild,
  python-2.2.3-r5.ebuild, python-2.3.3-r1.ebuild, python-2.3.3.ebuild,
  python-2.3.4.ebuild, python-2.3.4_rc1.ebuild:
  QA - fix use invocation and a bug in the 2.3.4 ebuilds: 
  [ -z "use X" -o -z "use tcltk" ] doesn't do what you meant it to do

  20 Jun 2004; Gustavo Zacarias <gustavoz@gentoo.org> python-2.3.3-r1.ebuild:
  Sparc happy stable

  15 Jun 2004; <solar@gentoo.org> python-2.3.3-r1.ebuild:
  USE= cleanups and added uclibc

  12 Jun 2004; Tom Gall <tgall@gentoo.org> python-2.3.3-r1.ebuild:
  stable on ppc64, bug #53575

  06 Jun 2004; Aron Griffis <agriffis@gentoo.org> python-2.2.3-r5.ebuild,
  python-2.3.3-r1.ebuild, python-2.3.4.ebuild, python-2.3.4_rc1.ebuild:
  Fix use invocation

*python-2.3.4 (04 Jun 2004)

  04 Jun 2004; Bryan Østergaard <kloeri@gentoo.org> +python-2.3.4.ebuild:
  Bump version.

  02 Jun 2004; Travis Tilley <lv@gentoo.org> python-2.3.3-r1.ebuild:
  stable on amd64

  30 May 2004; Guy Martin <gmsoft@gentoo.org> python-2.3.3-r1.ebuild:
  Marked stable on hppa.

  22 May 2004; Guy Martin <gmsoft@gentoo.org> python-2.3.3-r1.ebuild,
  python-2.3.3.ebuild, python-2.3.4_rc1.ebuild:
  Fix os.utime() on hppa. utimes it not supported but unfortunately reported as
  working.

*python-2.3.4_rc1 (15 May 2004)

  15 May 2004; Joshua Kinard <kumba@gentoo.org> python-2.3.3-r1.ebuild,
  python-2.3.4_rc1.ebuild:
  Marking 2.3.3 stable on mips (someone yanked the ~mips keyword at some
  point...), and 2.3.4 unstable.

  27 Apr 2004; Michael McCabe <randy@gentoo.org> python-2.3.3-r1.ebuild:
  Marked stable on s390

*python-2.3.3-r1 (12 Apr 2004)

  12 Apr 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.3-r1.ebuild,
  files/python-2.3-add_portage_search_path_take_2.patch:
  add workaround for python-2.2 to python-2.3 upgrade possibly breaking older
  portage versions. make /usr/lib/portage/pym appear before
  /usr/lib/python*/site-packages in sys.path (not really critical, but better be
  safe than sorry). also removed c++ support to reduce gcc/glibc upgrade pain

  11 Mar 2004; Alastair Tse <liquidx@gentoo.org> python-2.2.1-r5.ebuild:
  removing 2.2.1 from tree for security reasons (#44230)

  09 Mar 2004; <agriffis@gentoo.org> python-2.3.3.ebuild:
  stable on alpha and ia64

  05 Mar 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.3.ebuild:
  added X useflag for greater tcltk seperation. now needs both X and tcltk USE
  flags to enable tkinter support

  03 Mar 2004; David Holm <dholm@gentoo.org> python-2.1.3-r1.ebuild:
  Added to ~ppc.

  27 Feb 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.3.ebuild:
  completely removed pkg_setup(), added note at the top of the ebuild where you
  can't miss it.

  27 Feb 2004; Jason Stubbs <jstubbs@gentoo.org> python-2.3.3.ebuild:
  Removing portage version check again as it's preventing new installations.
  Bug #43036

  25 Feb 2004; Bryan Østergaard,,, <kloeri@gentoo.org> python-2.3.3.ebuild:
  Reinstating portage version check as people keep upgrading python without
  upgrading portage.

  17 Feb 2004; Aron Griffis <agriffis@gentoo.org> python-2.1.3-r1.ebuild:
  Fix duplicate KEYWORDS settings and mark stable on alpha and ia64 for the sake
  of dev-python/PyXML-py21

  17 Feb 2004; Aron Griffis <agriffis@gentoo.org> python-2.1.3-r1.ebuild:
  add ~alpha for the sake of dev-python/Imaging-py21

  10 Feb 2004; Bartosch Pixa <darkspecter@gentoo.org> python-2.3.3.ebuild:
  set ppc in keywords

  10 Feb 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.3.ebuild,
  files/python-2.3-db4.2.patch:
  add fix to make python-2.3.3 db-4.2 (gentoo flavour) aware

  06 Feb 2004; <gustavoz@gentoo.org> python-2.3.3.ebuild:
  Stable on sparc

  03 Feb 2004; Guy Martin <gmsoft@gentoo.org> python-2.3.3.ebuild :
  Marked stable on hppa.

  02 Feb 2004; Alastair Tse <liquidx@gentoo.org> files/depreorder.py:
  update python-updater thanks to a well spotted mistake by Chris Bainbridge
  <chrb@dcs.ed.ac.uk> (#40198)

  27 Jan 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.3.ebuild:
  disabling pkg_setup again after testing with stage2

  26 Jan 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.3.ebuild:
  re-instating pkg_setup() warning/abort message. added apache mime.types to
  mime type search list. modified to use tar.bz2 (saves 1MB of downloads)

  24 Jan 2004; Guy Martin <gmsoft@gentoo.org> python-2.3.3.ebuild:
  Added ~hppa to KEYWORDS.

  24 Jan 2004; <gustavoz@gentoo.org> python-2.3.3.ebuild:
  keyworded ~sparc

  24 Jan 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.3.ebuild:
  add missing doc IUSE (#39232)

  22 Jan 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.3.ebuild,
  files/depreorder.py:
  updated python-updater for portage-2.0.50, installed python-updater in
  /usr/sbin for convienence

  19 Jan 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.2-r2.ebuild,
  python-2.3.3.ebuild:
  disable portage check because stable portage already is compatible with
  python-2.3

  18 Jan 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.3.ebuild:
  make ROOT var more robust during postinst()

  12 Jan 2004; Luca Barbato <lu_zero@gentoo.org> python-2.2.3-r5.ebuild:
  Marked ppc

  06 Jan 2004; Aron Griffis <agriffis@gentoo.org> python-2.2.3-r5.ebuild:
  Stable on ia64 to enable fix for bug 36954; portage-2.0.49-r20 depends on
  this revision.

  03 Jan 2004; Jason Wever <weeve@gentoo.org> python-2.2.3-r5.ebuild:
  Marked stable on sparc as portage-2.0.49-r20 really depends on this version of
  python rather than what the portage ebuild says. Fixes bug #36954 on sparc.

*python-2.3.3 (03 Jan 2004)

  03 Jan 2004; Alastair Tse <liquidx@gentoo.org> python-2.3.2-r2.ebuild,
  python-2.3.3.ebuild, files/python-2.3.2-disable_modules_and_ssl.patch:
  version bump to 2.3.3, re-add python disable_modules_and_ssl patch and changed
  ebuild to build 'socket' module under USE=build

  28 Dec 2003; Joshua Kinard <kumba@gentoo.org> python-2.2.3-r5.ebuild:
  Move to mips stable (~mips -> mips)

  24 Dec 2003; Sven Blumenstein <bazik@gentoo.org> python-2.3.2-r2.ebuild,
  files/python-2.3.2-disable_modules_and_ssl.patch:
  Removed python-2.3.2-disable_modules_and_ssl.patch as
  it broke python and caused 'ImportError: No module named _socket'.
  More info: http://article.gmane.org/gmane.linux.gentoo.devel/14621

  14 Dec 2003; Guy Martin <gmsoft@gentoo.org> python-2.2.3-r5.ebuild:
  Marked stable on hppa.

  13 Dec 2003; Alastair Tse <liquidx@gentoo.org> python-2.3.2-r2.ebuild:
  clarified warning to prevent more bug reports

  13 Dec 2003; Luca Barbato <lu_zero@gentoo.org> python-2.3.2-r2.ebuild:
  Marked ~ppc

  08 Dec 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r5.ebuild,
  python-2.3.2-r2.ebuild:
  fix python .pyc .pyo cleaning code

  03 Dec 2003; Aron Griffis <agriffis@gentoo.org> python-2.2.3-r5.ebuild:
  Stable on alpha

  27 Nov 2003; Daniel Ahlberg <aliz@gentoo.org> python-2.2.3-r5.ebuild:
  Make -fPIC compilation available for all platforms and not just amd64.

  25 Nov 2003; Brad House <brad_mssw@gentoo.org> python-2.2.3-r5.ebuild:
  mark stable on amd64

  23 Nov 2003; Alastair Tse <liquidx@gentoo.org> python-2.3.2-r2.ebuild:
  add pkg_setup() to 2.3 as a temporary measure to stop people messing up their
  own system. Also added a ucs2 local useflag just in case someone complains
  loudly and knows what they're doing

*python-2.3.2-r2 (22 Nov 2003)

  22 Nov 2003; Alastair Tse <liquidx@gentoo.org> python-2.3.2-r2.ebuild,
  files/python-updater:
  ucs4 is now default. if you previously had python-2.3 merged, you'll need to
  update your packages again. (sorry, that is the price for running p.mask'ed
  versions). to update your python packages if you had python-2.3 installed, 
  run :
  
  /usr/portage/dev-lang/python/files/python-updater -o 2.3
  
  if you are upgrading from python-2.2, then you will need to run:
  
  /usr/portage/dev-lang/python/files/python-updater
  
  python-updater script also modified to have more robust command-line
  parsing. hopefully this will be the last revision till we can go ~x86.

  13 Nov 2003; Alastair Tse <liquidx@gentoo.org> python-2.3.2-r1.ebuild:
  fix python-config install for python-2.3

  12 Nov 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.2-r1.ebuild,
  python-2.2.3-r2.ebuild, python-2.2.3-r3.ebuild, python-2.2.3-r4.ebuild,
  python-2.3.2-r1.ebuild, python-2.3.2.ebuild, files/python-updater:
  cleanup and add warning on python-updated or PORTDIR is not set

  12 Nov 2003; Daniel Ahlberg <aliz@gentoo.org> python-2.2.3-r5.ebuild :
  Add a patch that adds CFLAGSFORSHARED variable to some extra modules defined in the Makefile.
  This variable could hold -fPIC so that the compiled libraries will work on amd64 (and maybe others)
  without using append-flags -fPIC.

  03 Nov 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r5.ebuild,
  python-2.3.2-r1.ebuild:
  added ncurses and ssl to IUSE

  03 Nov 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r5.ebuild:
  export environment in src_install()

  01 Nov 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r5.ebuild,
  python-2.3.2-r1.ebuild, files/python-2.2.3-disable_modules_and_ssl.patch,
  files/python-2.3.2-disable_modules_and_ssl.patch:
  reordered deps to allow minimal python build for USE='build'. makes python
  respect useflags explicitly even if the dependency exists. added support to
  disable SSL. tweaked python_mod_optimize.

*python-2.2.3-r5 (27 Oct 2003)

  27 Oct 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r5.ebuild,
  files/python-2.2.3-db4.patch:
  rev bump. fixes to idle.py and bsddb with db-4.1 for 2.2.3

  26 Oct 2003; Rob Cakebread <pythonhead@gentoo.org> python-2.2.3-r4.ebuild:
  Fixed symlink to idle.py

*python-2.2.3-r4 (22 Oct 2003)

  22 Oct 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r4.ebuild,
  files/python-2.2.3-gentoo_py_dontcompile.patch:
  Fixed PYTHON_DONTCOMPILE patch for 2.2.3 thanks to TGL
  <degrenier@easyconnect.fr> (#31730)

*python-2.2.3-r3 (17 Oct 2003)

  17 Oct 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r3.ebuild,
  files/python-2.2.3-db4.patch,
  files/python-2.2.3-gentoo_py_dontcompile.patch, files/python-updater:
  Add support for db-4.1, fixes for ewarn hanging for python-updater

  14 Oct 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r3.ebuild:
  new 2.2.3 version that adds PYTHON_DONTCOMPILE support

  10 Oct 2003; Alastair Tse <liquidx@gentoo.org> files/python-updater:
  fix typo in python-updater

  09 Oct 2003; Alastair Tse <liquidx@gentoo.org> python-2.3.2-r1.ebuild,
  files/depreorder.py, files/python-2.2.3-gentoo_py_dontcompile.patch,
  files/python-updater:
  improved byte-compiling, fixed out-of-order python-updater and added
  sys-apps/portage to exclusions

  09 Oct 2003; <tuxus@gentoo.org> python-2.2.3-r1.ebuild:
  stable on mips 

*python-2.3.2-r1 (08 Oct 2003)

  08 Oct 2003; Alastair Tse <liquidx@gentoo.org> python-2.3.2-r1.ebuild,
  files/python-2.3-gentoo_py_dontcompile.patch:
  add patch to stop automatic generation of .pyc and .pyo by setting
  PYTHON_DONTCOMPILE in your environment. also moved to use the new python
  eclass to automatically optimize and cleanup compiled modules.

*python-2.3.2 (07 Oct 2003)

  07 Oct 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r2.ebuild,
  python-2.3.2.ebuild, files/python-2.2.3-db4.patch,
  files/python-2.3-add_portage_search_path.patch, files/python-config-2.3,
  files/python-updater:
  it has been a long time coming, but finally there's a 2.3.x release in portage
  along with a python-2.2.3 update that should fix some niggling issues and also
  uses the new alternative class. 2.3.2 is still masked and should stay that way
  until we can confirm the rebuilding script works.

  03 Oct 2003; Alexander Gabert <pappy@gentoo.org> python-2.2.3-r1.ebuild:
  filter-flags because of segfaulting with fstackprotector in CFLAGS

  23 Sep 2003; Bartosch Pixa <darkspecter@gentoo.org> python-2.2.3-r1.ebuild:
  set ppc in keywords

  17 Sep 2003; Jon Portnoy <avenj@gentoo.org> python-2.2.3-r1.ebuild :
  ia64 keywords.

  16 Jul 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r1.ebuild,
  python-2.2.3.ebuild:
  marked 2.2.3 stable for x86

  13 Jul 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.3-r1.ebuild:
  add doc useflag to install python documentation. (#24318)

*python-2.2.3-r1 (03 Jul 2003)

  23 Jul 2003; Guy Martin <gmsoft@gentoo.org> python-2.2.3-r1.ebuild :
  Marked stable on hppa.

  03 Jul 2003; Alastair Tse <liquidx@gentoo.org> metadata.xml,
  python-2.2.3-r1.ebuild:
  added db4 support and enabled threads (pthread) support

*python-2.2.3 (02 Jun 2003)

  06 Jul 2003; Joshua Kinard <kumba@gentoo.org> python-2.2.3.ebuild:
  Changed ~mips to mips in KEYWORDS

  01 Jul 2003; Todd Sunderlin <todd@gentoo.org> python-2.2.3.ebuild:
  set stable on sparc

  02 Jun 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.2-r1.ebuild,
  python-2.2.3.ebuild, files/python-config-2.2:
  version bump to new bugfix release. fixed python-config location for unstable
  versions

*python-2.2.2-r1 (08 May 2003)

  08 May 2003; Alastair Tse <liquidx@gentoo.org> python-2.2.2-r1.ebuild,
  files/python-2.2.2-tk-8.4.x.patch:
  backported patch to fix tk-8.4.x problems (#20318)

  23 Feb 2003; Guy Martin <gmsoft@gentoo.org> python-2.2.2.ebuild :
  Added -fPIC to CFLAGS on hppa. It's needed by apps linking to some python libs.

  21 Feb 2003; Zach Welch <zwelch@gentoo.org> python-2.2.2.ebuild :
  Added arm to keywords.

  07 Feb 2003; Guy Martin <gmsoft@gentoo.org> python-2.2.2.ebuild :
  Added hppa to keywords.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
  29 Nov 2002; Dan Armak <danarmak@gentoo.org> ChangeLog  :

  Added missing python-config for 2.2.2.

*python-2.2.2 (20 Oct 2002)

  07 Jan 2003; Jan Seidel <tuxus@gentoo.org> python-2.2.2.ebuild :
  Added mips to keywords

  20 Oct 2002; Jon Nelson <jnelson@gentoo.org> :
  2.2.2 is released
  
*python-2.2.1-r5 (03 Oct 2002)

  15 Oct 2002; Martin Schlemmer <azarah@gentoo.org> :
  Fix the sed on /usr/lib/python<ver>/config/Makefile to change
  OPT to 'OPT = -DNDEBUG', and not 'OPT = -NDEBUG' which caused
  gcc warnings.

  03 Oct 2002; Daniel Ahlberg <aliz@gentoo.org> :
  Security update.

*python-2.2.1-r4 (7 Sep 2002)
  7 Sep 2002; Nicholas Jones <carpaski@gentoo.org> python-2.2.1-r4.ebuild
  Fix for bug #7641 -- Fixes the OPT flags in Makefile so that gcc
  isn't confused by conflicting build types of i386 and user set.

*python-2.2.1-r3 (2 Sep 2002)
  2 Sep 2002; Jon Nelson <jnelson@gentoo.org> python-2.2.1-r3.ebuild
  Filter -malign-double from flags

*python-2.1.3-r1 (2 Jul 2002)
 
  20 Jul 2002; Doug Goldstein <cardoe@gentoo.org> python-2.1.3-r1.ebuild
  Added missing KEYWORDS

  2 Jul 2002; Jon Nelson <jnelson@gentoo.org> python-2.1.3-r1.ebuild:
  Fix Makefile.pre.in install (the one we want is located in Misc)

*python-2.1.3 (1 Jul 2002)

  20 Jul 2002; Doug Goldstein <cardoe@gentoo.org> python-2.1.3.ebuild
  Added missing KEYWORDS

  1 Jul 2002; Jon Nelson <jnelson@gentoo.org>: python-2.1.3.ebuild
  This is a python 2.1.3 ebuild that does *not* conflict with
  python 2.2.*
  Note that 99.9% of the people out there won't use it anyway,
  because 2.2 will always be selected as most recent. ;-)

*python-2.2.1-r2 (1 Jul 2002)

  20 Jul 2002; Doug Goldstein <cardoe@gentoo.org>: python-2.2.1-r2.ebuild
  Added missing KEYWORDS

  30 Jun 2002; Jon Nelson <jnelson@gentoo.org>: python-2.2.1-r2.ebuild
  Add "-lm" to the python-config script. Closes bug #4217.
  2.2.1-r2 has a 100% identical ebuild file to 2.2.1-r1, just the
  python-config file has changed.

*python-2.2.1-r1 (29 May 2002)
 
  20 Jul 2002; Doug Goldstein <cardoe@gentoo.org>: python-2.2.1-r1.ebuild 
  Added missing KEYWORDS

  29 May 2002; Jon Nelson <jnelson@gentoo.org>: python-2.2.1-r1.ebuild
  Add expat to build depends (except during bootstrap), use econf
  and emake, and don't mess with Modules/Setup.local because modules
  are build as shared on Linux as default.

*python-2.2.1 (2 May 2002)

  20 Jul 2002; Doug Goldstein <cardoe@gentoo.org>: python-2.2.1.ebuild
  Added missing KEYWORDS

  2 May 2002; Jon Nelson <jnelson@gentoo.org>: python-2.2.1.ebuild
  Update to 2.2.1, and completely re-vamp build procedure
  This should solve several build issues.

*python-2.2-r7 (29 Apr 2002)

  29 Apr 2002; Daniel Robbins <drobbins@gentoo.org>: New rev to fix bug #2199;
  python-config should now work properly.

*python-2.2-r6 (24 Apr 2002)

  24 Apr 2002; Jon Nelson <jnelson@gentoo.org> python-2.2-r6.ebuild : Make
  python build with shared modules.  Depends on python-fchksum, as fchksum *no
  longer built in*
	
*python-2.2-r5 (8 Apr 2002)

  8 Apr 2002; Jared H. Hudson <jhhudso@gentoo.org> python-2.2-r5.ebuild :
	
  Added include flag for compilation of tcltk with python to compile
  correctly.

  --------
	
  06 Apr 2002; Daniel Robbins <drobbins@gentoo.org> : the 2.2-r4 ebuild now
  disables C++ support if we are creating a new build image (since we have no
  C++ in that case).
  
  30 Mar 2002; Daniel Robbins <drobbins@gentoo.org> : changed PROVIDE from
  virtual/python-2.2 to virtual/python.  No rev bump.

*python-2.2-r4 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
